Start typing to search.

API Reference

Clear Settings Anthropic API key override

View Markdown

Removes the Settings-stored key. AI falls back to yaml ai.api key when present, otherwise disables.

DELETE /api/server/ai-config

Removes the Settings-stored key. AI falls back to yaml ai.api_key when present, otherwise disables.

Operation ID: deleteServerAiConfig

Authentication

Option 1

  • BearerAuth (http bearer) API key token. Create via POST /api/api-keys. Format: envoy_<hex>

Option 2

  • CookieAuth (apiKey) Session cookie set after login + TOTP verification

Success responses

200

Override cleared

Content type: application/json

  • Type: object
  • Properties:
    • configured (boolean)
    • source (string | null)
      • Allowed values: settings, yaml, null
      • Nullable: yes
    • default_model (string | null)
      • Nullable: yes

Error responses

403

Requires admin or superadmin

Examples

cURL

curl --request DELETE \
  --url 'https://your-envoy.example.com/api/server/ai-config' \
  --header 'Authorization: Bearer $API_KEY'

JavaScript (fetch)

const response = await fetch('https://your-envoy.example.com/api/server/ai-config', {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer YOUR_API_KEY',
  },
});
 
if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const data = response.status === 204 ? null : await response.json();
console.log(data);